<?php

	$HOSTNAME = preg_replace( "/\.local/", "", $_SERVER['SERVER_NAME'] );

	// handle request: only the first request
	// see php/process.php for more details
	if ( $_REQUEST ) {
		$keys = array_keys( $_REQUEST );
		header( "location: ./${keys[0]}" );
	}


?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title><?= $HOSTNAME ?> - admin</title>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="icon" href="img/icon.png">
		<link rel="stylesheet" href='css/streambox-player.css'>
		<link rel="stylesheet" href="css/streambox-player-mobile.css" media="screen and (max-device-width: 780px)">
		<script src="js/jquery-3.3.1.min.js"></script>
		<script src="js/streambox-player.js"></script>
	</head>

	<body>
		<div id="container">
			<h1><?= $HOSTNAME ?> <img src="img/icon.png" width="32" alt=""> Admin</h1>

			<!-- settings -->
			<div id="settings" class="panel">
				<h2 data-onopen="netinfo">Settings</h2>
				<div class="alert">Loading settings…</div>
				<a href="#" class="submit" onclick="saveSettings();">save</a>
				<div class="subpanel">

					<!-- player configuration -->
					<h3>Player configuration</h3>
					<div class="subpanel player">
						<h4>Playlist</h4>
						<input name="PLAYLIST" type="hidden">
						<p class="doc">
							Add one or more items (media URL or absolute file path) separate with a semicolon.<br>
							Optionally the playlist format (.m3u, .pls) are supported by some binary, see the man page for the one defined below.
						</p>
						<p class="doc">
							Note, this distribution can be easily hijacked as an app remote manager whatever the program used. In case, leave empty or consider this playlist as an arguments fields.
						</p>
						<!-- <p class="doc">
							<strong>Double-click to edit, ENTER to validate, ESC to cancel</strong>
						</p> -->
						<p id="playlist" class="var">
							<a href="#" class="plus">add item</a>
						</p>
						<h4>Command line</h4>
						<div class="setting">
							<p class="doc">
								Specify the command line used to play items. The playlist will be passed to the command line as argument(s), either by append it or replacing the $PLAYLIST variable if defined.<br>
								<a href="https://github.com/popcornmix/omxplayer">OMXPlayer</a>, 
								<a href="https://ffmpeg.org/">FFmpeg</a>,
								<a href="http://www.mplayerhq.hu/">MPlayer</a>,
								<a href="http://www.videolan.org/">VLC</a>,
								<a href="http://sox.sourceforge.net/">SoX</a>,
								<a href="https://puredata.info/">Pure Data</a> are currently installed.
							</p>
							<!-- <p class="doc">
								<strong>Double-click to edit, ENTER to validate, ESC to cancel</strong>.
							</p> -->
							<p class="var">
								<input name="COMMAND_LINE" class="cmd editable">
							</p>
							<p>
								<a href="#" onclick="toggle(this,'#example');">View some command line example</a><br>
								<code id="example" class="doc hide">
									<strong>To run properly with this player purpose, URL or file path below should not be copied but could be replaced with the $PLAYLIST syntax</strong><br><br>
									omxplayer http://locus.creacast.com:9001/val_stereo.ogg <em>-- play live stream using OMXPlayer</em><br>
									omxplayer --vol -3000 http://209.133.216.3:7118/stream <em>-- set volume to 50%</em><br>
									ffplay -vn -nodisp http://locus.creacast.com:9001/val_hydro.ogg <em>-- FFmpeg player</em><br>
									mplayer -playlist /data/playlist-mixte.m3u <em>-- playlist using file and live stream</em><br>
									mplayer -loop 2 /data/wav/left-rigt-center.wav <em>-- play twice</em><br>
									cvlc --rate=0.3 /data/mp3/extrait-fabregas-mer-epaisse-sable-prox.mp3 <em>-- VLC playback speed</em><br>
									play /data/playlist-wav.m3u reverse reverb <em>-- SoX effects on playlist</em>
								</code>
								<a href="#" onclick="toggle(this,'#help');">View command line help</a>
								<code id="help" class="doc hide">
									<?php
										$man = shell_exec("raspivid");
										print nl2br( str_replace(",",", ",$help) );
									?>
								</code>
							</p>
						</div>
						<pre class="info cmd"></pre>
					</div>

					<!-- audio configuration -->
					<h3>Audio configuration</h3>
					<div class="subpanel audio">
						<div class="setting">
							<p class="doc">
								If you have multiple sound cards connected, select the card interface for playback.<br>
								<strong>SAVE AND RESTART THE PLAYER SERVICE TO TAKE EFFECT.</strong>
							</p>
							<p class="var">
								<label>sound card</label>: 
								<select name="SOUNDCARD"></select>
							</p>
							<p class="var">
								<label class="gain">default volume</label>: 
								<input type="range" name="DEFAULT_AUDIO_OUTPUT_VOLUME" class="percent dyn" min="0" max="100" step="1" value="80">
							</p>
						</div>
						<h4 class="onboard hide">onboard audio outputs</h4>
						<div id="onboard" class="setting onboard hide">
							<p class="doc">
								Select the default audio output.
							</p>
							<p class="var">
								<input name="ONBOARD_AUDIO_OUTPUT" type="radio" value="auto" class="output dyn"><label>automatic</label>
								<input name="ONBOARD_AUDIO_OUTPUT" type="radio" value="jack" class="output dyn"><label>analogue (headphone jack)</label>
								<input name="ONBOARD_AUDIO_OUTPUT" type="radio" value="hdmi" class="output dyn"><label>digital HDMI</label>
							</p>
							<p class="var">
								<label class="gain">volume</label>: 
								<input type="range" name="ONBOARD_AUDIO_VOLUME" class="gain dyn" min="-100" max="4" step="1" value="-20">
							</p>
						</div>
						<h4 class="usbaudiodev hide">USB Audio Device outputs</h4>
						<div id="usbaudiodev" class="setting usbaudiodev hide">
						</div>
						<h4 class="cirrus hide">Cirrus Logic/Wolfson audio card setup</h4>
						<div id="cirrus" class="setting cirrus hide">
							<p class="var">
								<label class="gain">volume (L)</label>: 
								<input type="range" name="CIRRUS_OUTL_VOL" class="gain L dyn" min="-32" max="16" step="1" value="0"><br>
								<label class="gain">volume (R)</label>: 
								<input type="range" name="CIRRUS_OUTR_VOL" class="gain R dyn" min="-32" max="16" step="1" value="0">
							</p>
							<p>
								Output :<br>
								<span class="doc">Multiple output can be selected</span>
							</p>
							<p class="var">
								<input name="CIRRUS_HEADPHONE" type="checkbox" value="yes" class="output dyn"> headphone<br>
								<input name="CIRRUS_LINE_OUT"  type="checkbox" value="yes" class="output dyn"> line out<br>
								<input name="CIRRUS_SPEAKER"   type="checkbox" value="yes" class="output dyn"> speakers<br>
								<input name="CIRRUS_SPDIF_OUT" type="checkbox" value="yes" class="output dyn"> S/PDIF transmitter
							</p>
						</div>
						<h4 class="respeaker hide">ReSpeaker 2-Mics audio card setup</h4>
						<div id="respeaker" class="setting respeaker hide">
							<p class="var">
								<label class="gain">headphone volume</label>: 
								<input type="range" name="RESPEAKER_HEADPHONE_VOL" class="gain headphone dyn" min="-114" max="6" step="1" value="-16"><br>
								<label class="gain">speaker volume</label>: 
								<input type="range" name="RESPEAKER_SPEAKER_VOL" class="gain speaker dyn" min="-114" max="6" step="1" value="-16">
							</p>
						</div>
						<h4 class="plugin">audio plugins</h4>
						<div class="setting">
							<p class="doc">
								<strong>SAVE AND RESTART THE PLAYER SERVICE TO TAKE EFFECT.</strong>
							</p>
							<p class="var">
								<input name="AUDIO_EQUALIZER" type="checkbox" data-target="eq" value="no" class="plugin"> enable the audio equalizer
							</p>
							<div id="eq" class="plugin eq hide">
								<p class="doc">
									It's implemented using a FFT, so it takes quite a lot of CPU power, but should have less 
									phase effects than an equivalent filter implementation.<br>If the input signal is at too 
									low a sample rate then the top bands will be ignored, the highest useful band will always 
									be a high shelf.
								</p>
								<p class="var">
									<span class="vertical"><label>50 Hz</label>     <input type="range" orient="vertical" name="AUDIO_EQ_BAND_50"    class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>100 Hz</label>    <input type="range" orient="vertical" name="AUDIO_EQ_BAND_100"   class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>156 Hz</label>    <input type="range" orient="vertical" name="AUDIO_EQ_BAND_156"   class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>220 Hz</label>    <input type="range" orient="vertical" name="AUDIO_EQ_BAND_220"   class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>331 Hz</label>    <input type="range" orient="vertical" name="AUDIO_EQ_BAND_331"   class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>440 Hz</label>    <input type="range" orient="vertical" name="AUDIO_EQ_BAND_440"   class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>622 Hz</label>    <input type="range" orient="vertical" name="AUDIO_EQ_BAND_622"   class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>880 Hz</label>    <input type="range" orient="vertical" name="AUDIO_EQ_BAND_880"   class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>1250 Hz</label>   <input type="range" orient="vertical" name="AUDIO_EQ_BAND_1250"  class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>1750 Hz</label>   <input type="range" orient="vertical" name="AUDIO_EQ_BAND_1750"  class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>2500 Hz</label>   <input type="range" orient="vertical" name="AUDIO_EQ_BAND_2500"  class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>3500 Hz</label>   <input type="range" orient="vertical" name="AUDIO_EQ_BAND_3500"  class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>5000 Hz</label>   <input type="range" orient="vertical" name="AUDIO_EQ_BAND_5000"  class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>10000 Hz</label>  <input type="range" orient="vertical" name="AUDIO_EQ_BAND_10000" class="plugin eq sign" min="-70" max="30" step="1" value="0"><br></span>
									<span class="vertical"><label>20000 Hz</label>  <input type="range" orient="vertical" name="AUDIO_EQ_BAND_20000" class="plugin eq sign" min="-70" max="30" step="1" value="0"></span>					
								</p>
							</div>
							<p class="var">
								<input name="AUDIO_COMPRESSOR" type="checkbox" data-target="compressor" value="no" class="plugin"> enable the audio compressor
							</p>
							<div id="compressor" class="plugin compressor hide">
								<p class="doc">
									peak_limit, controls the desired limit of the output signal (in dB)<br>
									release time, Controls the time taken for the compressor to relax its gain control over the input signal (in seconds)<br>
									fast ratio, no clear idea what this controls<br>
									ratio, no clear idea what this controls
								</p>
								<p class="var">
									<label>peak limit</label>:
									<input type="range" name="AUDIO_COMPRESSOR_PEAK_LIMIT"  class="plugin compressor gain" min="-30" max="0" step="1" value="0"><br>
									<label>release time</label>:
									<input type="range" name="AUDIO_COMPRESSOR_RELEASE_TIME"  class="plugin compressor sec" min="0" max="1" step="0.01" value="1"><br>
									<label>fast ratio</label>:
									<input type="range" name="AUDIO_COMPRESSOR_FAST_RATIO" class="plugin compressor" min="0" max="1" step="0.01" value="1"><br>
									<label>ratio</label>:
									<input type="range" name="AUDIO_COMPRESSOR_RATIO" class="plugin compressor" min="0" max="1" step="0.01" value="1">
								</p>
							</div>
							<p class="var">
								<input name="AUDIO_LIMITER" type="checkbox" data-target="limiter" value="no" class="plugin"> enable the audio limiter
							</p>
							<div id="limiter" class="plugin limiter hide">
								<p class="doc">
									Fast Lookahead limiter<br>
									This is a limiter with an attack time of 5ms. It adds just over 5ms of latency to the input signal, but it guarantees that there will be no signals over the limit, and tries to get the minimum amount of distortion.
								</p>
								<p class="doc">
									input gain, gain that is applied to the input stage (in dB). Can be used to trim gain to bring it roughly under the limit or to push the signal against the limit<br>
									limit, the maximum output amplitude (in dB). Peaks over this level will be attenuated as smoothly as possible to bring them as close as possible to this level<br>
									release time, the time taken for the limiters attenuation to return to 0 dB's (in second)
								</p>
								<p class="var">
									<label>input gain</label>:
									<input type="range" name="AUDIO_LIMITER_IN_GAIN"  class="plugin limiter gain" min="-20" max="20" step="1" value="0"><br>
									<label>limit</label>:
									<input type="range" name="AUDIO_LIMITER_LIMIT" class="plugin limiter gain" min="-20" max="0" step="1" value="0"><br>
									<label>release time</label>:
									<input type="range" name="AUDIO_LIMITER_RELEASE_TIME"  class="plugin limiter sec" min="0.01" max="2.0" step="0.01" value="1">
								</p>
							</div>
						</div>
					</div>

					<!-- network configuration -->
					<h3>Network configuration</h3>
					<div class="subpanel network">
						<h4>Hostname</h4>
						<div class="setting">
							<p class="doc">
								Specify the hostname for this RPI.
								<br>
								The HOSTNAME should be an internet-style hostname, only the ASCII letters 'a' through 'z' (in a case-insensitive manner, lower case is safer), the digits '0' through '9', and the hyphen ('-'). No other symbols, punctuation characters, or white space are permitted.<br>
								The original specification (RFC 952) mandated that hostnames could not start with a digit or with a hyphen, and must not end with a hyphen.<br>
								Limit the hostname to 63 characters, which is the length of a DNS label.<br>
								For examples, <a href="http://www.freedesktop.org/wiki/Software/systemd/hostnamed/">read the end of this documentation</a>
							</p>
							<p class="var">
								<input id="hostname" type="hidden" />
								<label>hostname</label> : <input name="HOSTNAME" value="<?= $HOSTNAME ?>" maxlength="63" pattern="^[a-zA-Z]+[\w\-]+\w+$">
							</p>
						</div>
						<h4>Ethernet</h4>
						<div class="setting">
							<p class="doc">
								For use on local network, enter a valid static address or leave blank to use DHCP.<br>
								For IPv6 static address, DNS or gateway configuration, edit the profile manually: <em>/etc/systemd/network/eth0.network</em><br>
								More informations at <a href="https://wiki.archlinux.org/index.php/Systemd-networkd">systemd-networkd documentation</a>
							</p>
							<p class="var">
								<input id="hostip" type="hidden" />
								<label>static address</label>: <input name="STATIC_ADDRESS" value="" pattern="^(\d{1,3}\.){3}\d{1,3}$">
							</p>
							<pre class="info eth"></pre>
						</div>
						<h4>Wireless connection</h4>
						<div class="setting">
							<p>
								<a href="#" onclick="netctl(this,'wifi','scan');">Look for Networks …</a>
							</p>
							<p class="doc">
								<!-- To test your wireless connection with parameters below: turn it on/off, search for networks (etc.), see the network section below.<br> -->
								<em>Ethernet and USB tethering are always enabled (using the DHCP protocol by default)</em>
							</p>
							<p class="var">
								<input name="WIFI_ENABLE" type="checkbox" value="yes"> turn on Wireless connection on boot<br>
								<label>WIFI SSID <span class="require">*</span></label>: <input name="WIFI_SSID" value="" placeholder="network name">
								<input name="WIFI_SSID_IS_HIDDEN" type="checkbox" value="yes"> is a hidden network<br>
								<label>WIFI key</label>: <input name="WIFI_KEY" value="" placeholder="password">
								<input name="WIFI_KEY_IS_HEXADECIMAL" type="checkbox" value="yes"> is a hexadecimal key<br>
								<label>WIFI security</label>: 
								<input type="radio" name="WIFI_SECURITY" value="none"><label>None</label>
								<input type="radio" name="WIFI_SECURITY" value="wep"><label>WEP</label>
								<input type="radio" name="WIFI_SECURITY" value="wpa"><label>WPA/WPA2</label>
							</p>
							<pre class="info wifi"></pre>
						</div>
						<h4>GPRS/3G/4G USB modem connection</h4>
						<div class="setting">
							<p class="doc">
								To test your USB modem connection, see the network section below.<br>
								<em>Ethernet and USB tethering are always enabled (using the DHCP protocol by default)</em>
							</p>
							<p class="var">
								<input name="MODEM_ENABLE" type="checkbox" value="yes"> turn on USB modem connection on boot<br>
								<label>APN</label>: <input name="MODEM_APN" value="" placeholder="access point name"><br>
								<label>modem PIN</label>: <input name="MODEM_PIN" value="" placeholder="PIN to unlock"><br>
								<label>phone number</label>: <input name="MODEM_PHONE" value="" placeholder="the number to dial"><br>
								<label>user name</label>: <input name="MODEM_USER" value="" placeholder="username to connect with"><br>
								<label>password</label>: <input name="MODEM_PASSWORD" value="" placeholder="password to connect with">
							</p>
							<p class="doc">
								This generates AT commands specific to certain Huawei modems.<br>
								All other devices should use "none"
							</p>
							<p class="var">
								<label>modem mode</label>: 
								<input type="radio" name="MODEM_MODE" value="none"><label>None</label>
								<input type="radio" name="MODEM_MODE" value="3Gpref"><label>3G first</label>
								<input type="radio" name="MODEM_MODE" value="3Gonly"><label>3G only</label>
								<input type="radio" name="MODEM_MODE" value="GPRSpref"><label>GPRS first</label>
								<input type="radio" name="MODEM_MODE" value="GPRSonly"><label>GPRS only</label>
							</p>
						</div>
						<h4>USB tethering connection</h4>
						<div class="setting">
							<p class="doc">
								To use your phone Wi-Fi access point (hotspot), configure the wireless settings above.
							</p>
							<p class="doc">
								To tether your IPhone device over USB:<br>
								- enable Personal Hotspot on your iPhone and plug it into your streambox using an USB cable.<br>
								<em>Settings -> Personal Hotspot</em>
							</p>
							<p class="doc">
								To tether your Androïd smartphone over USB:<br>
								- connect the phone to your streambox using an USB cable.<br>
								- Enable the tethering option from your phone. This is usually done from <em>Settings -> Wireless &amp; Networks -> Internet tethering</em> (or <em>Tethering &amp; portable hotspot</em> for more recent versions).
							</p>
							<p class="var">
								<input id="usb_dhcp" type="checkbox" value="yes"> automatic (DHCP address)
							</p>
							<div id="usb_bloc">
								<p class="doc">
									This static address must be in your smartphone's address range.
								</p>
								<p class="var">
									<label>manual address</label>: 
									<input id="usb_ip" pattern="^(\d{1,3}\.){3}\d{1,3}$">
									<input type="hidden" name="USBTETHERING_STATIC_ADDRESS" value"">
								</p>
							</div>
						</div>
						<h4>Remote access</h4>
						<div class="setting">
							<p class="doc">
								Enable this service to configure and access your stream box remotely.<br>
								To map a particular port on your router, enter the appropriate HTTP and/or SSH port in fields below, or leave blank to use a random port number.<br>
								<em>note: UPnP must be activated on your router to open automatically NAT/PAT rules.</em>
							</p>
							<p class="var">
								<input name="REMOTE_ACCESS" type="checkbox" value="yes"> turn on remote access service on boot<br>
								<label>HTTP port</label>: <input name="REMOTE_ACCESS_HTTP_PORT" value=""><br>
								<label>SSH port</label>:  <input name="REMOTE_ACCESS_SSH_PORT" value="">
							</p>
							<pre class="info remote"></pre>
						</div>
					</div>

					<!-- GPIO -->
					<!-- <h3>GPIO Interface</h3>
					<div class="subpanel gpio">
						<h4>LED status display</h4>
						<div id="statusled" class="setting">
							<p class="doc">
								Enable or disable the LED status display.<br>
								For more informations, <a href="http://locusonus.org/streambox/statusled/">read this documentation</a>
							</p>
							<p class="var">
								<input name="STATUSLED" type="checkbox" value="yes"> turn on/off your LED status display
							</p>
						</div>
					</div> -->

				</div>
			</div>

			<!-- service status -->
			<div id="service" class="panel">
				<h2 data-onopen="startlogs" data-onclose="stoplogs">Player Status</h2>
				<div class="alert">refresh status…</div>
				<div class="subpanel">
					<p>
						<input type="button" value="start"   onclick="servicectl(this.value);">
						<input type="button" value="stop"    onclick="servicectl(this.value);">
						<input type="button" value="restart" onclick="servicectl(this.value);">
					</p>
					<pre class="info"></pre>
					<p>
						<a href="#" onclick="log();">Refresh status (or wait a minute)</a><br>
						<a href="#" onclick="toggle(this,'#service .log');">View log</a>
					</p>
					<pre class="log hide"></pre>
				</div>
			</div>

			<!-- audio status -->
			<div id="audio-status" class="panel">
				<h2>Audio Status</h2>
				<div id="audio-status_resp" class="alert"></div>
				<div class="subpanel">
					<p>
						<span class="onboard hide">
							<a href="#" onclick="audioExec('onboard','status');return false;">onboard audio status</a><br>
						</span>
						<span class="cirrus hide">
							<a href="#" onclick="audioExec('cirrus','status');return false;">Cirrus Logic/Wolfson audio card status</a><br>
						</span>
						<span class="respeaker hide">
							<a href="#" onclick="audioExec('respeaker','status');return false;">ReSpeaker 2-Mics audio card status</a><br>
						</span>
					</p>
					<h3>Speaker test</h3>
					<p>
						<input type="button" class="test" value="start" onclick="audioTest(this)">
					</p>
					<p class="doc">
						Use the playback device and outputs	 above selected.
					<p>
					</p>
						<label class="test">generated signal</label>:
						<input type="radio" name="AUDIO_TEST_TYPE" value="pink" checked><label>use pink noise</label>
						<input type="radio" name="AUDIO_TEST_TYPE" value="sine"><label>use sine wave</label>
						<br>
						<label class="test">count of channels in stream</label>: 
						<input type="number" name="AUDIO_TEST_CHANNEL" value="1" data-nod="2" max="64">
						<br>
						<label class="test">stream samplerate in Hz</label>: 
						<select name="AUDIO_TEST_SAMPLERATE">
							<option value="8000">8000 Hz</option>
							<option value="11025">11025 Hz</option>
							<option value="16000">16000 Hz</option>
							<option value="22050">22050 Hz</option>
							<option value="32000">32000 Hz</option>
							<option value="44100">44100 Hz</option>
							<option value="48000" selected="selected">48000 Hz</option>
							<option value="96000">96000 Hz</option>
						</select>
					</p>
				</div>
			</div>

			<!-- system manager -->
			<div id="system" class="panel">
				<h2 data-onopen="sysclear" data-oncomplete="sysinfo">System Management</h2>
				<div class="alert"></div>
				<div class="subpanel">
					<pre class="info"></pre>
					<dl>
						<dt>USB</dt>
						<dd><a href="#" onclick="exec('lsusb');">List connected USB device</a></dn>
						<dt>Network</dt>
						<dd><a href="#" onclick="exec('networkctl');">List network link</a></dd>
						<dd><a href="#" onclick="exec('networkctl --all status');">Network status</a></dd>
						<dd><a href="#" onclick="netctl(this,'wifi','status');">WiFi status</a></dd>
						<dd><a href="#" onclick="netctl(this,'wifi','scan');">List WiFi access points</a></dd>
						<dt>Audio</dt>
						<dd><a href="#" onclick="exec('cat /proc/asound/cards');">List audio devices</a></dd>
						<dd><a href="#" onclick="exec('sudo aplay -l');">List playback device</a></dd>
					</dl>
					<p>
						<input type="button" value="reboot" onclick="reboot();">
						<input type="button" value="shutdown" onclick="shutdown();">
					</p>
				</div>
			</div>

			<!-- overlay -->
			<div id="console" class="overlay">
				<div>
					<p class="title"></p>
					<pre></pre>
					<input type="button" value="close" onclick="$('#console').fadeOut();">
				</div>
			</div>
			<div id="dialog" class="overlay">
				<img src="img/warning.png">
				<img src="img/halt.png">
				<img src="img/loading.png">
			</div>

		</div>
	</body>
</html>